//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bb401KDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.5 com/java/src/com/ibm/beans/demos/a401k/PercentListener.java, bb401KDemo, bb97c, bb97c9750e 12/9/97 18:29:26 [12/11/97 17:02:10]

package com.ibm.beans.demos.a401k;

/**
 * <p>
 * This interface describes the method that gets fired by the b401kViewer bean
 * which is connected to the b401kDap bean.
 * @see com.ibm.beans.demos.a401k.PercentEvent
 * @see com.ibm.beans.demos.a401k.b401kDap
 */
public interface PercentListener extends java.util.EventListener {
     /**
      * The firing of this method indicates that the user has made
      * a change to the percentage allocated to a particular investment
      * selection.
      *
      * @param pE A PercentEvent containing data about a new percentage
      * allocation for a particular investment selection.
      */
    public void PercentChanged(PercentEvent pE);
}

