//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bb401KDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.4 com/java/src/com/ibm/beans/demos/a401k/acctid/AccountIDChangedEvent.java, bb401KDemo, bb97c, bb97c9750e 12/9/97 18:34:09 [12/11/97 17:02:14]

package com.ibm.beans.demos.a401k.acctid;

/**
 * <p>
 * This class describes the event that gets generated when
 * the user enters an account id and hits the submit button.
 *
 */
public class AccountIDChangedEvent extends java.util.EventObject {

  /**
   * Constructs an AccountIDChangedEvent.
   *
   * @param source <dl><dd>The object that is creating this
   * event.</dd></dl>
   * @param accountID <dl><dd>The account id entered
   * by the user.</dd></dl>
   */
  public AccountIDChangedEvent(Object source, String accountID) {
    super(source);
    this.accountID = accountID;
  }

  /**
   * The accessor for the account id entered by the user.
   * @return The account id entered by the user.
   */
  public String getAccountID() {return accountID;}


  private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

  // READ-ONLY PARMS...
  protected String accountID;
}

