//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
package com.ibm.beans.demos.a401k;

/**
 * <p>
 * The b401kResourceBundle class provides NLS
 * support for the "com.ibm.beans.demos.a401k" package.
 *
 */

public class b401kResourceBundle extends java.util.ListResourceBundle {

   private static final String pkgID = "b401k";
   private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

   private static final Object[][] contents = {
      // LOCALIZE THIS
      /**
       * <!-- skip next message -->
       * (This is the 401K Viewer label.)
      */
      { "401KViewer",	"401K Viewer " },


      /**
       * <!-- skip next message -->
       * (This is the 401K Investment Choice Percentages label.)
      */
      { "401KChoices",	"401K INVESTMENT CHOICE PERCENTAGES" },

      /**
       * <!-- skip next message -->
       * (This is the Total Percentage label.)
      */
      { "TotalPercentage","Total Percentage" },


      /**
       * <!-- skip next message -->
       * (This is the Money Market Fund label.)
      */
      { "MoneyMarketFund","Money Market Fund" },

      /**
       * <!-- skip next message -->
       * (This is the Large Company Index label.)
      */
      { "LargeCompanyIndex","Large Company Index" },

      /**
       * <!-- skip next message -->
       * (This is the Small Company Stock label.)
      */
      { "SmallCompanyStock","Small Company Stock" },

      /**
       * <!-- skip next message -->
       * (This is the IBM Stock Fund label.)
      */
      { "IBMStockFund","IBM Stock Fund" },

      /**
       * <!-- skip next message -->
       * (This is the Fixed Income Fund label.)
      */
      { "FixedIncomeFund","Fixed Income Fund" },

      /**
       * <!-- skip next message -->
       * (This is the Total Bond Market label.)
      */
      { "TotalBondMarket","Total Bond Market" },

      /**
       * <!-- skip next message -->
       * (This is the International Stock label.)
      */
      { "InternationalStock","International Stock" },

      /**
       * <!-- skip next message -->
       * (This is the Moderate Life Strategy label.)
      */
      { "ModerateLifeStrategy","Moderate Life Strategy" },

      // END OF MATERIAL TO LOCALIZE
   };


    /**
     * Provides access to the key-value pairs which
     * comprise the resource bundle.
     * @return Object[][]. The first element is a String representing the
     *         key and the second is any object representing the value.
     */

   public Object[][] getContents() {
      return contents;
   }
}
