//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.4 com/java/src/COM/ibm/beans/samples/travel/ItineraryBeanInfo.java, bbDemo, bb97a, bb97a9727d 6/27/97 15:31:51 [7/3/97 04:09:37]


package com.ibm.beans.demos.travel;
import java.beans.SimpleBeanInfo;

/**
 * <p>
 * The ItineraryBeanInfo class provides access to the
 * icon for the Itinerary bean.
 *
 * @see com.ibm.beans.demos.travel.Itinerary
 */

public class ItineraryBeanInfo extends SimpleBeanInfo {

    private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

    /**
     * Provides an icon representation for the Itinerary bean.
     * This method is for use by tools such as the BeanBag.
     *
     * @param iconKind Indicates the
     * desired format for the icon image.
     * @return The image of the requested format is returned.
     */

    public java.awt.Image getIcon(int iconKind) {
            return loadImage("itinerary.gif");
    }

}
