//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.7 com/java/src/com/ibm/beans/demos/travel/TravelInfoChangedListener.java, bbTravelDemo, bb97c, bb97c9750e 9/25/97 13:35:12 [12/11/97 17:02:52]


package com.ibm.beans.demos.travel;


/**
 * <p>
 * This interface describes the method that gets fired by the Itinerary bean.
 *
 * @see com.ibm.beans.demos.travel.TravelInfoChangedEvent
 */
public interface TravelInfoChangedListener extends java.util.EventListener {

     /**
      * The firing of this method indicates that the user has made
      * all travel selections. This method is invoked when the Itinerary
      * bean generates a TravelInfoChangedEvent.
      *
      * @param travelInfoChange A TravelInfoChangedEvent with
      * data on the travel selections made by the user.
      */
     public void TravelInfoChanged (TravelInfoChangedEvent travelInfoChange);
}
