//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbTravelDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 com/java/src/COM/ibm/beans/samples/travel/flight/FlightInfoDapBeanInfo.java, bbDemo, bb97a
package com.ibm.beans.demos.travel.flight;

import java.beans.SimpleBeanInfo;

/**
 * <p>
 * The FlightInfoDapBeanInfo class defines the icon
 * for the FlightInfoDap class.
 *
 * @author K. David Johnson (kdjohn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightInfoDap
 */
public class FlightInfoDapBeanInfo extends SimpleBeanInfo {


  private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

  /**
   * Provides icon representations for the FlightInfoDap.
   *
   * @param iconKind The desired format for the icon image.
   * @return The image of the requested format.
  */
  public java.awt.Image getIcon(int iconKind) {
       return loadImage("FlightInfoDap.gif");
  }
}
