//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.5 com/java/src/com/ibm/beans/demos/travel/flight/FlightInfoDapClientBeanInfo.java, bbTravelDemo, bb97c, bb97c9750e 10/27/97 11:12:31 [12/11/97 17:03:04]
package com.ibm.beans.demos.travel.flight;

import java.beans.BeanDescriptor;
import java.beans.SimpleBeanInfo;

/**
 * <p>
 * The FlightInfoDapClientBeanInfo class provides access to the icon
 * and Customizer for the FlightInfoDapClient class.
 *
 * @author K. David Johnson (kdjohn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightInfoDapClient
 * @see com.ibm.beans.demos.travel.flight.FlightInfoDapClientCustomizer
 */
public class FlightInfoDapClientBeanInfo extends SimpleBeanInfo {

  private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

  /**
   * Gets a BeanDescriptor with the FlightInfoDapClientCustomizer
   * as the customizer class.
   *
   * @return A BeanDescriptor with an appropriate customizer defined.
   */
  public BeanDescriptor getBeanDescriptor() {
     return new BeanDescriptor(FlightInfoDapClient.class, FlightInfoDapClientCustomizer.class);
  }


  /**
   * Provides icon representations for the FlightInfoDapClient.
   *
   * @param iconKind The desired format for the icon image.
   * @return The image of the requested format.
  */
  public java.awt.Image getIcon(int iconKind) {
       return loadImage("FlightInfoDap.gif");
  }
}
