//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.6 com/java/src/com/ibm/beans/demos/travel/flight/FlightInfoViewerBeanInfo.java, bbTravelDemo, bb97c, bb97c9750e 10/27/97 10:59:09 [12/11/97 17:03:11]

package com.ibm.beans.demos.travel.flight;
import java.awt.Image;
import java.beans.SimpleBeanInfo;

/**
 * The only thing currently defined in the FlightInfoViewer BeanInfo
 * is a GIF icon.
 *
 * @author John W. Alcorn (jalcorn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightInfoViewer
 */
public class FlightInfoViewerBeanInfo extends SimpleBeanInfo {

        private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

        /**
         * Provides an icon representation for the Flight Information Viewer bean.
         * This method is for use by tools such as the IBM Bean Extender Assembly Surface.
         *
         * @param iconKind The desired format for the icon image.
         * @return The image of the requested format.
         */
        public Image getIcon(int iconKind) {
                Image icon = null;

//              if (iconKind == BeanInfo.ICON_COLOR_32x32)
                        icon = loadImage("FlightInfoViewer.gif");

                return icon;
        }
}

