//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 com/java/src/COM/ibm/beans/samples/travel/flight/FlightReservedListener.java, bbDemo, bb97a
package com.ibm.beans.demos.travel.flight;

/**
 * <p>
 * This interface defines the FlightReserved method.
 * In the demo, this interface is implemented by the
 * itinerary viewer bean which is wired to the
 * flight information data access part bean.
 * @author K. David Johnson (kdjohn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightReservedEvent
*/
public interface FlightReservedListener extends java.util.EventListener {
    /**
     * Handles the the FlightReserved event.
     * In the demo, this method is invoked by the flight information
     * data access part bean on any registered flight reserved
     * listeners (that is, the itinerary viewer bean).
     *
     * @param fRE The FlightReservedEvent that contains flight
     *            reservation information.
     */
    public void FlightReserved ( FlightReservedEvent fRE );
}
