//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================

package com.ibm.beans.demos.travel.flight;

/**
 * <p>
 * The FlightResourceBundle class provides NLS
 * support for the "com.ibm.beans.demos.travel.flight" package.
 *
 */

public class FlightResourceBundle extends java.util.ListResourceBundle {

   private static final String pkgID = "flight";
   private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

   private static final Object[][] contents = {
      // LOCALIZE THIS


      /**
       * <! Skip next message >
       * (This is part of the string used to build the first record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec1_1","VALUES('Austin','Dallas','American','835','Austin','AUS','Dallas', "},


      /**
       * <! Skip next message >
       * (This is part of the string used to build the first record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec1_2","'DFW','Economy','9:54A','11:05A','85.00','TBD','0','None','None','None','None','None','None', "},


      /**
       * <! Skip next message >
       * (This is part of the string used to build the first record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec1_3","'None','0','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/747mini.gif', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the first record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec1_4","'Aircraft: Boeing 747\nMeal: Brunch\nMovie: None')"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the second record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec2_1","VALUES('Austin','Dallas','Delta','234','Austin','AUS','Dallas', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the second record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec2_2","'DFW','Economy','1:00P','2:15P','87.50','TBD','0','None','None','None','None','None', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the second record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec2_3","'None','None','0','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/F100mini.gif', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the second record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec2_4","'Aircraft: Foker 100\nMeal: No\nMovie: None')"},



      /**
       * <! Skip next message >
       * (This is part of the string used to build the third record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec3_1","VALUES('Austin','Dallas','TWA','664','Austin','AUS','Dallas', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the third record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec3_2","'DFW','Economy','2:30P','3:15P','95.00','TBD','0','None','None','None','None','None',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the third record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec3_3","'None','None','0','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/747mini.gif', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the third record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec3_4","'Aircraft: Boeing 747\nMeal: Brunch\nMovie: None')"},


      /**
       * <! Skip next message >
       * (This is part of the string used to build the fourth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec4_1","VALUES('Austin','Chicago','American','835','Austin','AUS',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fourth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec4_2","'Dallas','DFW','Economy','9:54A','11:05A','85.00','TBD','1','American','978','Chicago',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fourth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec4_3","'ORD','Economy','12:55P','2:30P','122.00','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/F100mini.gif',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fourth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec4_4","'Aircraft: Foker 100\nMeal: Lunch\nMovie: Yes/TBD')"},


      /**
       * <! Skip next message >
       * (This is part of the string used to build the fifth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec5_1","VALUES('Austin','Chicago','Delta','234','Austin','AUS',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fifth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec5_2","'St. Louis','STL','Economy','1:00P','2:15P','85.00','TBD','1','Delta','435','Chicago',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fifth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec5_3","'MDW','Economy','4:00P','6:35P','135.00','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/concmini.gif',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the fifth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec5_4","'Aircraft: Concorde\nMeal: Lunch\nMovie: Golly Zilla!')"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the sixth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec6_1","VALUES('Austin','Chicago','TWA','116','Austin','AUS','Chicago',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the sixth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec6_2","'ORD','Economy','3:00P','4:15P','395.00','TBD','0','None','None','None','None','None',"},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the sixth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec6_3","'None','None','0','None','','','','','','','','','/com/ibm/beans/demos/travel/flight/747mini.gif', "},

      /**
       * <! Skip next message >
       * (This is part of the string used to build the sixth record of the SQL database in the CreateDB application)
       */
      {"CreateDB_Rec6_4","'Aircraft: Boeing 747\nMeal: Lunch\nMovie: Yes/TBD')"},

      /**
       * <! Skip next message >
       * (This is the OK button text used in the create database application)
       */
      {"OKbutton","OK"},

      /**
       * <! Skip next message >
       * (This is the default JDBCURL used to create the database)
       */
      {"JDBCURL","jdbc:odbc:DB2"},

      /**
       * <! Skip next message >
       * (This is the default database table name)
       */
      {"dbTableName","FlightInfoTbl"},

      /**
       * <! Skip next message >
       * (This is text on a checkbox in the FlightInfoDapServerCustomizer)
       */
      {"useJDBC_checkbox","use JDBC to access database?"},

      /**
       * <! Skip next message >
       * (This is text on a label in the FlightInfoDapServerCustomizer)
       */
      {"JDBCURL_label","JDBC URL:"},

      /**
       * <! Skip next message >
       * (This is text on a label in the FlightInfoDapServerCustomizer)
       */
      {"DatabaseTableName_label","Database table name:"},

      /**
       * <! Skip next message >
       * (This is a warning message when trying to install an RMI security manager)
       */
      {"securityAlreadyInstalled_msg","Non-RMI security manager already installed"},

      /**
       * <! Skip next message >
       * (This is an error message used when we try but fail to instantiate the JDBC beans)
       */
      {"JDBCBeansNotInstalled_msg","The JDBC beans are not installed."},

      /**
       * <! Skip next message >
       * (This is an error message used when we try but fail to connect to the JDBC database)
       */
      {"JDBCDatabase_cant_connect_msg","The connection to the JDBC database failed."},

      /**
       * <! Skip next message >
       * (This is an error message used when we try but fail to connect to the JDBC database)
       */
      {"JDBCDatabase_select_not_successful_msg","The JDBC select operation was not successful."},

      /**
       * <! Skip next message >
       * (This is an error message used when we try but fail to connect to the FlightInfoDapServer)
       */
      {"NamingLookupFailed_msg","Naming.lookup() failed! Unable to contact FlightInfoDapServer!"},

      /**
       * <! Skip next message >
       * (This is the name for the FlightInfoViewer)
       */
      {"FIV_Name","Flight Information Viewer"},

      /**
       * <! Skip next message >
       * (This is the Airline column string for the FlightInfoViewer)
       */
      {"FIV_Airline","Airline"},

      /**
       * <! Skip next message >
       * (This is the Flight # column string for the FlightInfoViewer)
       */
      {"FIV_Flight#","Flight #"},


      /**
       * <! Skip next message >
       * (This is the Depart column string for the FlightInfoViewer)
       */
      {"FIV_Depart","Depart"},


      /**
       * <! Skip next message >
       * (This is the Arrive column string for the FlightInfoViewer)
       */
      {"FIV_Arrive","Arrive"},


      /**
       * <! Skip next message >
       * (This is the Class column string for the FlightInfoViewer)
       */
      {"FIV_Class","Class"},


      /**
       * <! Skip next message >
       * (This is the Take-off column string for the FlightInfoViewer)
       */
      {"FIV_TakeOff","Take-off"},


      /**
       * <! Skip next message >
       * (This is the Land column string for the FlightInfoViewer)
       */
      {"FIV_Land","Land"},


      /**
       * <! Skip next message >
       * (This is the Price column string for the FlightInfoViewer)
       */
      {"FIV_Price","Price"},

      /**
       * <! Skip next message >
       * (This is the title for CreateDB)
       */
      {"CreateDB_Title","Travel Demo Database Creation"},

      /**
       * <! Skip next message >
       * (This is the first message for CreateDB)
       */
      {"CreateDB_msg1","Please wait while records are added to the database. \nRecords will be displayed below."},


      /**
       * <! Skip next message >
       * (This is the second message for CreateDB)
       */
      {"CreateDB_msg2","\n\n\nAll records were successfully entered into the database!  \nRecords are displayed below"},

      /**
       * <! Skip next message >
       * (This is the first origin city in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_FirstOriginCity","Austin"},

     /**
       * <! Skip next message >
       * (This is the first origin city airport code in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_FirstOriginCity_AirportCode","AUS"},

      /**
       * <! Skip next message >
       * (This is the first destination city in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_FirstDestinationCity","Dallas"},

     /**
       * <! Skip next message >
       * (This is the first destination city airport code in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_FirstDestinationCity_AirportCode","DFW"},

     /**
       * <! Skip next message >
       * (This is the second origin city in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_SecondOriginCity","Austin"},

     /**
       * <! Skip next message >
       * (This is the second origin city airport code in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_SecondOriginCity_AirportCode","AUS"},

      /**
       * <! Skip next message >
       * (This is the second destination city in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_SecondDestinationCity","Chicago"},

     /**
       * <! Skip next message >
       * (This is the second destination city airport code in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_SecondDestinationCity_AirportCode","ORD"},

     /**
       * <! Skip next message >
       * (This is the first airline used in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_Airline1","American"},

     /**
       * <! Skip next message >
       * (This is the second airline used in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_Airline2","Delta"},

     /**
       * <! Skip next message >
       * (This is the third airline used in the hard coded FlightInfoDapServer database)
       */
      {"FIDS_Airline3","TWA"},

     /**
       * <! Skip next message >
       * (This is the flight number for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_FlightNum1","835"},

     /**
       * <! Skip next message >
       * (This is the which class string for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the departure time for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_DepartTime","9:54A"},

     /**
       * <! Skip next message >
       * (This is the arrival time for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_ArriveTime","11:05A"},

     /**
       * <! Skip next message >
       * (This is the price for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_Price","85.00"},

     /**
       * <! Skip next message >
       * (This is the seat number for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_SeatNum","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_ImageLocation","/com/ibm/beans/demos/travel/flight/747mini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the first hard coded FlightInfoDapServer record)
       */
      {"FIDS_FirstRec_ImageCaption","Aircraft: Boeing 747\nMeal: Brunch\nMovie: None"},

     /**
       * <! Skip next message >
       * (This is the flight number for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_FlightNum1","234"},

     /**
       * <! Skip next message >
       * (This is the departure time for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_DepartTime","1:00P"},

     /**
       * <! Skip next message >
       * (This is the which class string for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the arrival time for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_ArriveTime","2:15P"},

     /**
       * <! Skip next message >
       * (This is the price for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_Price","87.50"},

     /**
       * <! Skip next message >
       * (This is the seat number for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_SeatNum","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_ImageLocation","/com/ibm/beans/demos/travel/flight/F100mini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the second hard coded FlightInfoDapServer record)
       */
      {"FIDS_SecondRec_ImageCaption","Aircraft: Foker 100\nMeal: No\nMovie: None"},

     /**
       * <! Skip next message >
       * (This is the flight number for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_FlightNum1","664"},

     /**
       * <! Skip next message >
       * (This is the departure time for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_DepartTime","2:30P"},

     /**
       * <! Skip next message >
       * (This is the which class string for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the arrival time for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_ArriveTime","3:15P"},

     /**
       * <! Skip next message >
       * (This is the price for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_Price","95.00"},

     /**
       * <! Skip next message >
       * (This is the seat number for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_SeatNum","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_ImageLocation","/com/ibm/beans/demos/travel/flight/747mini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the third hard coded FlightInfoDapServer record)
       */
      {"FIDS_ThirdRec_ImageCaption","Aircraft: Boeing 747\nMeal: Brunch\nMovie: None"},

     /**
       * <! Skip next message >
       * (This is the flight number for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_FlightNum1","835"},

     /**
       * <! Skip next message >
       * (This is the intermediate destination for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_IntermediateDestination","Dallas"},

     /**
       * <! Skip next message >
       * (This is the intermediate destination airport code for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_IntermediateDestinationAirportCode","DFW"},

     /**
       * <! Skip next message >
       * (This is the which class string for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the first departure time for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_DepartTime1","9:54A"},

     /**
       * <! Skip next message >
       * (This is the first arrival time for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_ArriveTime1","11:05A"},

     /**
       * <! Skip next message >
       * (This is the first price for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_Price1","85.00"},

     /**
       * <! Skip next message >
       * (This is the first seat number for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_SeatNum1","TBD"},

     /**
       * <! Skip next message >
       * (This is the second flight number for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_FlightNum2","978"},

     /**
       * <! Skip next message >
       * (This is the second departure time for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_DepartTime2","12:55P"},

     /**
       * <! Skip next message >
       * (This is the second arrival time for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_ArriveTime2","2:30P"},

     /**
       * <! Skip next message >
       * (This is the second price for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_Price2","122.00"},

     /**
       * <! Skip next message >
       * (This is the second seat number for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_SeatNum2","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_ImageLocation","/com/ibm/beans/demos/travel/flight/F100mini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the fourth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FourthRec_ImageCaption","Aircraft: Foker 100\nMeal: Lunch\nMovie: Yes/TBD"},

     /**
       * <! Skip next message >
       * (This is the first flight number for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_FlightNum1","234"},

     /**
       * <! Skip next message >
       * (This is the intermediate destination for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_IntermediateDestination","St. Louis"},

     /**
       * <! Skip next message >
       * (This is the intermediate destination airport code for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_IntermediateDestinationAirportCode","STL"},

     /**
       * <! Skip next message >
       * (This is the which class string for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the first departure time for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_DepartTime1","1:00P"},

     /**
       * <! Skip next message >
       * (This is the first arrival time for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_ArriveTime1","2:15P"},

     /**
       * <! Skip next message >
       * (This is the first price for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_Price1","85.00"},

     /**
       * <! Skip next message >
       * (This is the first seat number for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_SeatNum1","TBD"},

     /**
       * <! Skip next message >
       * (This is the second flight number for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_FlightNum2","435"},

     /**
       * <! Skip next message >
       * (This is the second departure time for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_DepartTime2","4:00P"},

     /**
       * <! Skip next message >
       * (This is the second arrival time for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_ArriveTime2","6:35P"},

     /**
       * <! Skip next message >
       * (This is the second price for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_Price2","135.00"},

     /**
       * <! Skip next message >
       * (This is the second seat number for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_SeatNum2","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_ImageLocation","/com/ibm/beans/demos/travel/flight/concmini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the fifth hard coded FlightInfoDapServer record)
       */
      {"FIDS_FifthRec_ImageCaption","Aircraft: Concorde\nMeal: Lunch\nMovie: Golly Zilla!"},

     /**
       * <! Skip next message >
       * (This is the first flight number for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_FlightNum1","116"},

     /**
       * <! Skip next message >
       * (This is the which class string for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_WhichClass","Economy"},

     /**
       * <! Skip next message >
       * (This is the departure time for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixththRec_DepartTime","3:00P"},

     /**
       * <! Skip next message >
       * (This is the arrival time for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_ArriveTime","4:15P"},

     /**
       * <! Skip next message >
       * (This is the price for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_Price","395.00"},

     /**
       * <! Skip next message >
       * (This is the seat number for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_SeatNum","TBD"},

     /**
       * <! Skip next message >
       * (This is the Image Location for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_ImageLocation","/com/ibm/beans/demos/travel/flight/747mini.gif"},

     /**
       * <! Skip next message >
       * (This is the Image Caption for the sixth hard coded FlightInfoDapServer record)
       */
      {"FIDS_SixthRec_ImageCaption","Aircraft: Boeing 747\nMeal: Lunch\nMovie: Yes/TBD"},


     /**
       * <! Skip next message >
       * (This is a label on the FlightInfoDapClientCustomizer)
       */
      {"FIDCC_msg1","FlightInfoDapServer hostname or IP address:"},

     /**
       * <! Skip next message >
       * (This is a label on the FlightInfoDapClientCustomizer)
       */
      {"FIDCC_msg2","(leave blank if server is running on local machine)"},

      // END OF MATERIAL TO LOCALIZE
   };


    /**
     * Provides access to the key-value pairs which
     * comprise the resource bundle.
     * @return Object[][]. The first element is a String representing the
     *         key and the second is any object representing the value.
     */

   public Object[][] getContents() {
      return contents;
   }
}
