//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbBOI
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.7 com/java/src/com/ibm/beans/samples/daps/sql/CommonBeanInfo.java, bbDaps, bb97c, bb97c9750e 9/29/97 16:27:26 [12/11/97 17:01:20]
package com.ibm.beans.samples.daps.sql;

import java.lang.reflect.Method;
import java.awt.Image;
import java.beans.EventSetDescriptor;
import java.beans.IntrospectionException;
import java.beans.MethodDescriptor;
import java.beans.PropertyDescriptor;
import java.beans.SimpleBeanInfo;

/**
 * The CommonBeanInfo class supports beaninfo for the Common class.
 *
 * @see com.ibm.beans.samples.daps.sql.Common
 *
 * @version 1.0  March 24, 1997
 * @author J. Russell Boykin
 */
public class CommonBeanInfo extends SimpleBeanInfo
{

   private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

   /**
    * Private instance variable to contain the related Common class.
    */
   private transient final static Class beanClass = Common.class;

   /**
    * Default constructor.
    */
   public CommonBeanInfo()
   {
       // Invoke the constructor of the superclass
       super();
   }

   /**
    * Finalize this object.
    * @exception java.lang.Throwable Possibly thrown by the superclass
    */
   protected void finalize() throws Throwable
   {
       // Invoke finalize method of superclass
       super.finalize();
   }

   /**
    * Get the property descriptors for the Common class.
    * @return The property descriptors for the Common class.
    */
   public PropertyDescriptor[] getPropertyDescriptors()
   {
       try
       {
           // Set up read/write bound property for the executeInBackground
           PropertyDescriptor executeInBackground =
                              new PropertyDescriptor("executeInBackground",
                                                     beanClass);
           executeInBackground.setBound(true);

           // Set up read-only bound property for the exception property
           PropertyDescriptor exception =
                              new PropertyDescriptor("exception",
                                                     beanClass,
                                                     "getException",
                                                     null);
           exception.setBound(true);

           // Set up read-only bound property for the successful property
           PropertyDescriptor successful =
                              new PropertyDescriptor("successful",
                                                     beanClass,
                                                     "getSuccessful",
                                                     null);
           successful.setBound(true);

           // Set up the array of property descriptors
           PropertyDescriptor rv[] = {executeInBackground,
                                      exception,
                                      successful};
           return rv;
       }

       // catch Introspection Exceptions
       catch (IntrospectionException e)
       {
           // Throw the error
           throw new Error(e.toString());
       }
   }

   /**
    * Get the event descriptors for the Common class.
    * @return The event descriptors for the Common class.
    */
   public EventSetDescriptor[] getEventSetDescriptors()
   {
       try
       {
           // Set up event descriptor for the property change event
           EventSetDescriptor changed = new EventSetDescriptor(beanClass,
                                        "propertyChange",
                                        java.beans.PropertyChangeListener.class,
                                        "propertyChange");
           changed.setDisplayName("bound property change");

           // Set up the array of event descriptors
           EventSetDescriptor[] rv = {changed};

           return rv;
       }

       // catch Introspection Exceptions
       catch (IntrospectionException e)
       {
           // Throw the error
           throw new Error(e.toString());
       }
   }

   /**
    * Get the method descriptors for the Common class.
    * @return The method descriptors for the Common class.
    */
   public MethodDescriptor[] getMethodDescriptors()
   {
       // Create an empty MethodDescriptor array
       MethodDescriptor result[] = {};
       return result;
   }
}
