//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbContent
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.7 com/java/src/com/ibm/beans/samples/dips/context/VersionData.java, bbContextDip, bb97c, bb97c9750e 11/19/97 09:05:58 [12/11/97 17:01:27]
package com.ibm.beans.samples.dips.context;

import java.io.Serializable;

//package level protected VersionData has no Javadoc.
/* 
  This class provides information about the version for 
  the version context dip. Version information is closely 
  corelated to properties in this implementation.
 */

class VersionData implements Serializable {
    //Construct a version data object
    VersionData (long versionID, String propertyName, Object value) {
	myVersionID=versionID;
	myPropertyName=propertyName;
	myValue=value;
    }
    
    //Gets the version ID
    long getVersionID () {
	return myVersionID;
    }

    //Get the value of the property
    Object getValue () {
	return myValue;
    }

    //Get the Property name
    String getPropertyName () {
	return myPropertyName;
    }

    private long myVersionID;
    private String myPropertyName;
    private Object myValue;

    private static final long serialVersionUID = 2000L;
    private static final String kBeanExtenderIBMCopyright="(c) Copyright IBM Corporation 1997";
}

