//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.10 com/java/src/com/ibm/beans/samples/dips/license/Messages.java, bbMessages, bb97c, bb97c9750e 11/18/97 17:52:04 [12/11/97 16:55:59]

package com.ibm.beans.samples.dips.license;

import java.util.ListResourceBundle;


//----------------------------------------------------------------------
// default resource bundle

/**
 * Resource Bundle containing locale-specific objects for the license
 * dip.
 */
public class Messages extends ListResourceBundle {

  /**
   * Gets the key,message pair array.
   * @see java.util.ListResourceBundle
   *
   * @return A two dimensional array, where the first element in the
   * array is a String key, and the second element in the array is the
   * value or message.
   */
  public Object[][] getContents() {
    return contents;
  }

  private static final String pkgID="PrLicDip";

  static final Object[][] contents = {
    // LOCALIZE THIS

    {"no_sig", pkgID+"0001E: cannot update without signature"},
    {"no_init", pkgID+"0002X: license not initialized"},
    {"no_DSA", pkgID+"0003E: cannot find a DSA algorithm"},
    {"no_privkey", pkgID+"0004X: cannot sign license without private key"},
    {"inv_privkey", pkgID+"0005E: tried to use an invalid private key for signing"},
    {"no_pubkey", pkgID+"0006X: cannot verify license without public key"},
    {"inv_pubkey", pkgID+"0007E: tried to use an invalid public key for verification"},
    {"inv_keypair", pkgID+"0008E: generated key pair is invalid"},
    {"save_issuer_failed", pkgID+"0009W: save of license issuer object failed"},
    {"save_sig_failed", pkgID+"0009W: save of license signature failed"},
    {"no_parse", pkgID+"0010W: cannot parse the specified date.  Try again."},
    {"import_failed", pkgID+"0011W: import of license signature failed"},
    {"no_apply", pkgID+"0012X: cannot apply dip without initializing the license"},
    {"not_Component", pkgID+"0013X: dippable object is not a java.awt.Component"},
    {"terms_cond", pkgID+"0014W: terms and conditions of the print license dip have not been met"},
    {"LoadPolicyError", pkgID+"0015W: Load of license issuer object failed"},
    {"WrongTypeError", pkgID+"0016W: loaded object was not of expected type"},
    {"methods_not_wrapped", pkgID+"0017X: dippable object's print and/or printAll methods not wrapped"},

    {"b_lic_init", "License Policy Initializer"},
    {"txt_1", "Press the SAVE POLICY button to save the"},
    {"txt_2", "license issuer's policy object for later"},
    {"txt_3", "use."},
    {"save_issuer", "SAVE POLICY..."},
    {"save_issuer_obj", "Save License Issuer Object"},
    {"HDL_issuer", "Host And Duration License Policy Issuer"},
    {"hn_prompt", "Hostname: "},
    {"exp_prompt", "Expires: "},
    {"b_genlic", "Generate License..."},
    {"save_sig", "Save License Signature"},
    {"HDL", "Host And Duration License"},
    {"enc_sig_prompt", "Encoded signature: "},
    {"b_import", "Import Signature..."},
    {"b_setlic", "Set License"},
    {"load_sig", "Import License Signature"}

    // END OF MATERIAL TO LOCALIZE
    };

    private final static String kBeanExtenderIBMCopyright="(c) Copyright IBM Corporation 1997";
}


