//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbContent
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.9 com/java/src/com/ibm/beans/samples/dips/sessauth/demo/SamplePrincipal.java, bbSecurityDip, bb97c, bb97c9750e 11/19/97 10:24:44 [12/11/97 17:01:51]
package com.ibm.beans.samples.dips.sessauth.demo;

import com.ibm.beans.samples.dips.sessauth.SAPrincipal;

/**
    This class provides a sample <em>principal</em> for the Session Authentication
    Dip.  It allows the user to specify a User ID and password.  When a Session
    Authentication Dip using this principal is applied to a dippable bean, the bean will
    be disabled until the end user enters a valid User ID and password.  The end user
    is prompted for the User ID and Password using the sample principal query.
    <p>
    The sample authenticator will validate the entered principal.

    @see com.ibm.beans.samples.dips.sessauth.demo.SamplePrincipalQuery
    @see com.ibm.beans.samples.dips.sessauth.demo.SampleSimpleAuthenticator
*/
public class SamplePrincipal implements SAPrincipal
{
    private static final long serialVersionUID = 2000L;

    String getUserID() {
        return userID;
    }

    void setUserID( String theUserID ) {
        userID = theUserID;
    }

    String getPassword() {
        return password;
    }

    void setPassword( String thePassword ) {
        password = thePassword;
    }

    private String userID = null;   // Value entered by user

    private String password = null;   // Value entered by user

    private final static String kBeanExtenderIBMCopyright="(c) Copyright IBM Corporation 1997";
}
