/*
    SplashScreenDip bean

    Package: com.ibm.beans.samples.dips.splash
    Bean   : SplashScreenDip

    Author : John W. Alcorn
    Date   : November 14, 1997

    Copyright (c) IBM Corp, 1997
        - all rights reserved

    //====START_GENERATED_PROLOG======================================
    //
    //
    //   COMPONENT_NAME: bbDipWizard
    //
    //   CLASSES: none
    //
    //   ORIGINS: 27
    //
    //
    //   (C) COPYRIGHT International Business Machines Corp. 1997
    //   All Rights Reserved
    //   Licensed Materials - Property of IBM
    //   US Government Users Restricted Rights - Use, duplication or
    //   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
    //
    //   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
    //   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    //   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
    //   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
    //   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    //   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
    //   OR PERFORMANCE OF THIS SOFTWARE.
    //
    //====END_GENERATED_PROLOG========================================
    //
    // @(#) 1.2 com/java/src/com/ibm/beans/samples/dips/splash/SplashScreenDipBeanInfo.java, bbDipWizard, bb97c, bb97c9750e 11/20/97 21:11:23 [12/11/97 17:03:33]
*/


package com.ibm.beans.samples.dips.splash;

import java.beans.*;
import java.util.ResourceBundle;

public class SplashScreenDipBeanInfo extends SimpleBeanInfo
 {
    //Following line added after code generation
    private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

    SplashScreenDipBeanInfoTextBundle bundle = (SplashScreenDipBeanInfoTextBundle) ResourceBundle.getBundle ("com.ibm.beans.samples.dips.splash.SplashScreenDipBeanInfoTextBundle");

    public PropertyDescriptor[] getPropertyDescriptors ()
     {
        PropertyDescriptor pd[] = null;

        try
         {
            Class classSelf = null;

            try
             {
                classSelf = Class.forName ("com.ibm.beans.samples.dips.splash.SplashScreenDip");
             } catch (Exception e) { }

            pd = new PropertyDescriptor[2];
            pd[0] = new PropertyDescriptor ("noticeText", classSelf);
            pd[1] = new PropertyDescriptor ("imageName", classSelf);

            // Populate property descriptors
            pd[0].setDisplayName (bundle.getString ("BI:Notice Text"));
            pd[0].setShortDescription (bundle.getString ("BI:Text on splash dialog"));
            pd[1].setDisplayName (bundle.getString ("BI:Image Name"));
            pd[1].setShortDescription (bundle.getString ("BI:Filename of image on splash dialog"));
         }
        catch (IntrospectionException e)
         {
            System.out.println ("Introspection error " + e.getMessage ());
         }

        return (pd);
     }

    public BeanDescriptor getBeanDescriptor ()
     {
        Class classSelf = null;
        Class classCustomizer = null;
        BeanDescriptor result = null;

        try
         {
            classSelf = Class.forName ("com.ibm.beans.samples.dips.splash.SplashScreenDip");
            classCustomizer = Class.forName ("com.ibm.beans.samples.dips.splash.SplashScreenDipCustomizer");
            result = new BeanDescriptor (classSelf, classCustomizer);
         }
        catch (Exception e)
         {
            System.out.println ("Error creating BeanDescriptor " + e.getMessage ());
         }

        return (result);
     }
 }

