//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbTraceDip
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.10 com/java/src/com/ibm/beans/samples/dips/trace/TraceDipBeanInfo.java, bbTraceDip, bb97c, bb97c9750e 10/24/97 18:56:54 [12/11/97 17:02:01]

package com.ibm.beans.samples.dips.trace;

import java.beans.BeanDescriptor;
import java.beans.SimpleBeanInfo;


/**
 * The TraceDipBeanInfo class defines the customizer to use
 * for the TraceDip class.
 *
 * @see com.ibm.beans.samples.dips.trace.TraceDip
 * @see com.ibm.beans.samples.dips.trace.TraceDipCustomizer
 */
public class TraceDipBeanInfo extends SimpleBeanInfo {

    private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

    /**
     * Gets a BeanDescriptor object with the TraceDipCustomizer class
     * as the customizer for the TraceDip class. A TraceDipCustomizer instance
     * allows a user to customize the properties of a TraceDip instance.
     * <p>
     * @return The BeanDescriptor with the proper customizer defined.
     */
    public BeanDescriptor getBeanDescriptor() {
        return new BeanDescriptor(TraceDip.class, TraceDipCustomizer.class);
    }
}

