//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbNetDeploy
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.2 com/java/src/com/ibm/beans/samples/netdeploy/warehouse/DefaultAuthenticationImpl.java, bbNetDeploy, bb97c, bb97c9750e 11/19/97 16:11:42 [12/11/97 16:58:52]

package com.ibm.beans.samples.netdeploy.warehouse;

import java.lang.*;
import java.awt.*;
import java.io.*;
import java.util.*;

import com.ibm.beans.netdeploy.*;
import com.ibm.beans.netdeploy.warehouse.*;

import com.ibm.beans.samples.netdeploy.warehouse.UIDPasswordData;

public class DefaultAuthenticationImpl implements AuthenticationInterface 

{
   /*--------------------------------------------------------------------------+
   |  Copyright notice:                                                        |
   +--------------------------------------------------------------------------*/

   private final static String kBeanExtenderIBMCopyright =
           "(c) Copyright IBM Corporation 1997";

    private static final String guestString = "guest";

    /**
     * Verifies a user's authentication data. 
     * @param AuthData the user's authentication data
     * @return <tt>true</tt> if the user's authentication data is valid.
     * <tt>false</tt> otherwise.  
     * @exception IOException if the authentication data is corrupted
     * on the disk. 
     */

    public boolean checkUserAuthentication (Object authData)
		                       throws IOException
    {

        try {

            UIDPasswordData data = (UIDPasswordData)authData;
            return (data.uid.equalsIgnoreCase(guestString) &&
                    data.password.equalsIgnoreCase(guestString));
        }
        catch (ClassCastException cce) {
            System.out.println("authData is: " + authData);
            cce.printStackTrace();
        }
        return false;
     }
    

    /**
     * Adds the authentication data of a particular user.
     * @param userAuthData the user Authentication data
     * @return <tt>true</tt> if the user authentication data is
     * added successfully. <tt>false</tt>otherwise. 
     * @exception IOException an error occurred while adding
     * the user authentication data.
     */

    public boolean addUserAuthenticationData(Object userAuthData) 
		                          throws IOException
    {
        return false;
    }
   
    /**
     * Updates the authentication data of a particular user.
     * @param userAuthData the user Authentication data
     * @return <tt>true</tt> if the user authentication data is
     * updated successfully. <tt>false</tt>otherwise. 
     * @exception IOException an error occurred while updating
     * the user authentication data.
     */

    public boolean updateUserAuthenticationData(Object userAuthData) 
		                             throws IOException
    {
        return false;
    }

    /**
     * Removes the authentication data of a particular user.
     * @param userAuthData the user Authentication data
     * @return <tt>true</tt> if the user authentication data is
     * removed successfully. <tt>false</tt>otherwise. 
     * @exception IOException an error occurred while removing
     * the user authentication data.
     */

    public boolean removeUserAuthenticationData(Object userAuthData) 
		                             throws IOException
    {
        return false;
    }
}

