//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbScripting
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.6 com/java/src/com/ibm/beans/samples/script/beans/table/TableModelBeanInfo.java, bbScripting, bb97c, bb97c9750e 9/30/97 15:35:22 [12/11/97 16:55:00]
package com.ibm.beans.samples.script.beans.table;

import java.lang.reflect.Method;
import java.beans.SimpleBeanInfo;
import java.beans.EventSetDescriptor;
import java.beans.MethodDescriptor;

import com.ibm.beans.samples.script.beans.table.TableModel;
import com.ibm.beans.samples.script.beans.table.TableModelListener;



public class TableModelBeanInfo extends SimpleBeanInfo
{
   private static final String kBeanExtenderIBMCopyright=
                 "(c) Copyright IBM Corporation 1997";
public MethodDescriptor[] getMethodDescriptors()
  {
	Method mt[] =  TableModel.class.getDeclaredMethods();
	MethodDescriptor[] md = new MethodDescriptor[mt.length];

	for (int i = 0; i < mt.length; i++)
	  {
		md[i] = new MethodDescriptor(mt[i]);
	  }

	return md;
  }

public EventSetDescriptor[] getEventSetDescriptors()
  {
	try
	  {

		EventSetDescriptor desc[] = new EventSetDescriptor[1];
		Class param[] =	{ TableModelListener.class };



		desc[0] = new EventSetDescriptor
		(
		 "TableEvents",
		 TableModelListener.class,
		 TableModelListener.class.getDeclaredMethods(),
		 TableModel.class.getDeclaredMethod("addTableModelListener", param),
		 TableModel.class.getDeclaredMethod("removeTableModelListener", param)
		 ) ;

		return desc;
	  }
	catch(java.beans.IntrospectionException e)
	  {
	    System.out.println(e);
	    e.printStackTrace();
	  }

	catch(NoSuchMethodException e)
	  {
	    System.out.println(e);
	    e.printStackTrace();
	  }
		

	return null;
  }
}
