//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbScripting
//
//   CLASSES: none
//
//   ORIGINS: 27, 180
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.8 com/java/src/com/ibm/beans/samples/script/form/ErrorDialog.java, bbScripting, bb97c, bb97c9750e 9/30/97 15:39:00 [12/11/97 16:55:03]

/**
 * Pop up a (modal) error dialog and wait for a user to press "continue".
 */

package com.ibm.beans.samples.script.form;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;

public class ErrorDialog extends Dialog implements WindowListener, ActionListener{
   private static final String kBeanExtenderIBMCopyright=
                 "(c) Copyright IBM Corporation 1997";
    public ErrorDialog(Frame frame, String message) {
	super(frame, "Error", true);
	
	GridBagLayout gridBag = new GridBagLayout();
	setLayout(gridBag);

        addWindowListener(this);
	// Add a "Label" for reach line of text.
	int width = 400;
	int height = 5;
	while (message.length() > 0) {
	    int ix = message.indexOf('\n');
	    String line;
	    if (ix >= 0) {
		line = message.substring(0, ix);
		message = message.substring(ix+1);
	    } else {
		line = message;
		message = "";
	    }
	    Label l = new Label(line);
	    GridBagConstraints cons = new GridBagConstraints();
	    cons.gridwidth = GridBagConstraints.REMAINDER;
	    gridBag.setConstraints(l, cons);
	    add(l);
	    height += 20;
	}

	Button b = new Button("Continue");
        b.addActionListener(this);
	GridBagConstraints cons = new GridBagConstraints();
	cons.gridwidth = GridBagConstraints.REMAINDER;
	gridBag.setConstraints(b, cons);
	add(b);
	height += 25;
	height += 35;
	

	setSize (400, height+5);
	show();
    }
    public void actionPerformed(ActionEvent evt) {
         dispose();
    }
     public void windowOpened(WindowEvent event)
     {
     }
     public void windowClosed(WindowEvent event)
     {
     }


     public void windowActivated(WindowEvent event)
     {
     }

     public void windowDeactivated(WindowEvent event)
     {
     }

     public void windowClosing(WindowEvent event)
     {
         dispose();
     }

     public void windowDeiconified(WindowEvent event)
     {
     }


     public void windowIconified(WindowEvent event)
     {
     }


  /*
    public boolean handleEvent(Event evt) {
	if (evt.id == Event.WINDOW_DESTROY) {
	    dispose();
	    return (true);
	}
	if (evt.id == Event.ACTION_EVENT) {
	    dispose();
	    return (true);
	}
	return (false);
    }
    */
}




