//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbUtils
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.10 com/java/src/com/ibm/beans/tools/debugger/DebuggerPanel.java, bbDebugger, bb97c, bb97c9750e 11/18/97 17:01:30 [12/11/97 17:00:45]
package com.ibm.beans.tools.debugger;

import java.awt.*;
import java.io.*;
import java.awt.event.*;

import com.ibm.beans.widgets.ImageButton;



public class DebuggerPanel extends Panel implements Externalizable
{
    private final static String kBeanExtenderIBMCopyright =
                               "(c) Copyright IBM Corporation 1997";

public DebuggerPanel()
  {
	threadContext = null;
	beanDebugger = null;
	setBackground(new Color(240, 240, 240));
  }


public DebuggerPanel(ThreadContext newThreadContext)
  {
	threadContext = newThreadContext;
	beanDebugger = threadContext.getBeanDebugger();
	setBackground(new Color(240, 240, 240));
  }

public synchronized void setThreadContext(ThreadContext newThreadContext)
  {
	threadContext = newThreadContext;
	beanDebugger = newThreadContext.getBeanDebugger();
  }

public synchronized ThreadContext getThreadContext()
  {
	return threadContext;
  }

public  synchronized void contextUpdated (ThreadContext newThreadContext)
  {
       setThreadContext(newThreadContext);
  }

public BeanDebugger getBeanDebugger()
  {
	return beanDebugger;
  }

   public void writeExternal(ObjectOutput out) throws IOException {

   }

   public void readExternal(ObjectInput in) throws IOException {

   }



protected transient ThreadContext threadContext;
protected transient BeanDebugger beanDebugger;
}


