//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.9 com/java/src/com/ibm/beans/tools/debugger/scrdbg/SCRDbgResourceBundle.java, bbMessages, bb97c, bb97c9750e 11/20/97 10:14:10 [12/11/97 16:55:56]
package com.ibm.beans.tools.debugger.scrdbg;

import com.ibm.beans.tools.debugger.BeanFWListResourceBundle;

public class SCRDbgResourceBundle extends BeanFWListResourceBundle
{
   private static final String kBeanExtenderIBMCopyright=
                 "(c) Copyright IBM Corporation 1997";
static final long VERSION_UID = 1100L;
private static SCRDbgResourceBundle res = null;
private static final String pkgID = "Scripting";
private static final String msgTag = pkgID + "04";
public final static SCRDbgResourceBundle getRes()
  {
      if(res == null)
         res = (SCRDbgResourceBundle)create(
                "com.ibm.beans.tools.debugger.scrdbg.SCRDbgResourceBundle");
      return(res);
  }
    public Object[][] getContents() {
        return contents;
    }

public final static String START_DBG_MSG = "START_DBG_MSG";
public final static String START_DBG_EXC = "START_DBG_EXC";
public final static String START_DBG_ERROR = "START_DBG_ERROR";
public final static String CONN_FINISH_MSG = "CONN_FINISH_MSG";
public final static String SCR_DBG_LABEL = "SCR_DBG_LABEL";


public final static String SCRIPT_GIF = "SCRIPT_GIF";
public final static String SCRIPT_CMD = "SCRIPT_CMD";
public final static String SCRIPT_TIP = "SCRIPT_TIP";

    /*The following lines convert variables into strings
      for the message parse tool. The strings don't have to
      correspond to the Java strings (After running m4 this
      section will be blank). - OF

define(`START_DBG_MSG',`"m01"')
define(`START_DBG_EXC',`"m02"')
define(`START_DBG_ERROR',`"m03"')
define(`CONN_FINISH_MSG',`"m04"')
define(`SCR_DBG_LABEL',`"m05"')
define(`SCRIPT_GIF',`"m06"')
define(`SCRIPT_CMD',`"m07"')
define(`SCRIPT_TIP',`"m08"')

      */

    private static final Object[][] contents = {

    // LOCALIZE THIS

        /**
        * <!-- Message Owner: Ping Chen -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Starting debugger message.
        * <p class='Message Action'>
        * This message is informational; no action is necessary.
        */
        { START_DBG_MSG, "Start creating debugging process please wait......" },


        /**
        * <!-- Message Owner: Ping Chen -->
        * <p class='Message Detail'>
        * Starting the debugger caused an exception tp be thrown..
        * <p class='Message Action'>
        * This is an internal error. Follow the instructions in the README file
        * to report the problem to IBM.
        */
        { START_DBG_EXC, msgTag + "00E: Exception caught during debugger startup" },

        /**
        * <!-- Message Owner: Ping Chen -->
        * <p class='Message Detail'>
        * The debugger failed to start properly. The most likely reason is an
        * incorrect password.
        * <p class='Message Action'>
        * Make sure the password is correct and try the operation again.
        */
        { START_DBG_ERROR, msgTag + "01E: Start debugger failed. The password may be incorrect" },


        /**
        * <!-- Message Owner: Ping Chen -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Connect finished message.
        * <p class='Message Action'>
        * This message is informational; no action is necessary.
        */
        { CONN_FINISH_MSG, "Connecting debugger finished. Script stopped at method {0}" },

        /**
        * <!-- Message Owner: Ping Chen -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * The script debugger title.
        * <p class='Message Action'>
        * This message is informational; no action is necessary.
        */
        { SCR_DBG_LABEL, "Script Debugger" },



        /**
        * <!-- Message Owner: Ping Chen -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * gif for script button
        * <p class='Message Action'>
        * This message is informational; no action is necessary.
        */
        { SCRIPT_GIF, "script.gif" },
        /**
        * <!-- Message Owner: Ping Chen -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Help message for script source button. Shown when cursor on button.
        * <p class='Message Action'>
        * This message is informational; no action is necessary.
        */
        { SCRIPT_TIP, "Script Source Panel." },
    // END OF MATERIAL TO LOCALIZE
    };
}
