//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bb401KDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.4 com/java/src/com/ibm/beans/demos/a401k/acctid/AccountIDChangedListener.java, bb401KDemo, bb97c, bb97c9750e 12/9/97 18:33:33 [12/11/97 17:02:07]

package com.ibm.beans.demos.a401k.acctid;

/**
 * This interface describes the method that gets fired by the AccountID bean.
 */
/**
 * <p>
 * This interface describes the method that gets fired by the Account ID bean
 * when the user enters an account number and presses the submit button.
 * @see com.ibm.beans.demos.a401k.acctid.AccountIDChangedEvent
 * @see com.ibm.beans.demos.a401k.acctid.AccountID
 */
public interface AccountIDChangedListener extends java.util.EventListener {
     /**
      * The firing of this method passes an event parameter that contains
      * the account number entered by a particular user.
      *
      * @param aIDChanged An AccountIDChangedEvent containing the account number
      * entered by the user.
      *
      */
     public void AccountIDInformationChanged(AccountIDChangedEvent aIDChanged);
}

