//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//   @(#) 1.13 com/java/src/com/ibm/beans/demos/travel/TravelResourceBundle.java, bbMessages, bb97c, bb97c9750e 11/17/97 15:42:08 [12/11/97 16:56:05]
//
package com.ibm.beans.demos.travel;

/**
 * <p>
 * The TravelResourceBundle class provides internalization/localization
 * support for the com.ibm.beans.demos.travel package.
 *
 */

public class TravelResourceBundle extends java.util.ListResourceBundle {

   private static final String pkgID = "travel";
   private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";

   private static final Object[][] contents = {
      // LOCALIZE THIS
      /**
       * <!-- skip next message -->
       * (This is a button label.)
       */
      { "submit",	"Submit" },
      /**
       * <!-- skip next message -->
       * (This is a label on a text field.)
       */
      { "origin",	"City of Origin" },
      /**
       * <!-- skip next message -->
       * (This is a label on a text field.)
       */
      { "dest",		"Destination" },
      /**
       * <!-- skip next message -->
       * (This is a label on a text field.)
       */
      { "depart",	"Date of Departure" },
      /**
       * <!-- skip next message -->
       * (This is a label on a text field.)
       */
      { "return",	"Date of Return" },
      /**
       * <! Skip next message >
       * (This is a label on a button)
       */
      {"ticket_button","TICKET"},

      /**
       * <! Skip next message >
       * (This is a label on a button)
       */
      {"addFlight_button","Add Flight"},

      /**
       * <! Skip next message >
       * (This is a label on a button)
       */
      {"rentAuto_button","Rent Auto"},

      /**
       * <! Skip next message >
       * (This is a label on a button)
       */
      {"reserveHotel_button","Reserve Hotel"},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"select_flight","Click HERE to select flight."},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"depart","Depart from:                            "},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"arrive","Arrive at: "},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"seat_num","Seat: "},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"flight_num","Flight #"},

      /**
       * <! Skip next message >
       * (This is text on a label)
       */
      {"reserved","-- RESERVED --"},

      // END OF MATERIAL TO LOCALIZE
   };


    /**
     * Provides access to the key-value pairs which
     * comprise the resource bundle.
     * @return Object[][]. The first element is a String representing the
     *         key and the second is any object representing the value.
     */

   public Object[][] getContents() {
      return contents;
   }
}
