//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.5 com/java/src/com/ibm/beans/demos/travel/flight/FlightInfoDapProperties.java, bbTravelDemo, bb97c, bb97c9750e 11/17/97 15:50:06 [12/11/97 17:02:59]

package com.ibm.beans.demos.travel.flight;

import java.beans.PropertyVetoException;
import java.lang.String;
import java.util.Vector;


/**
 * This is a common interface implemented by both the original, non-client/server
 * FlightInfoDap and the RMI-enabled FlightInfoDapServer.  Any future versions of
 * a server-side version of the FlightInfoDap (such as a CORBA version) will also
 * need to implement this interface.  The methods in this interface are used by
 * the dips from FlightRules.jar (from the com.ibm.beans.demos.travel.flight.rules
 * package) to alter the flight data returned from the database query (this keeps
 * them from being hardcoded to a particular implementation of a DAP implementing
 * this interface).
 *
 * @author John W. Alcorn (jalcorn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightInfoDap
 * @see com.ibm.beans.demos.travel.flight.FlightInfoDapServer
 * @see com.ibm.beans.demos.travel.flight.rules.CarrierRestrictionDip
 * @see com.ibm.beans.demos.travel.flight.rules.ConnectingFlightDip
 */
public interface FlightInfoDapProperties {
  /**
   * Accessor (get) method for the <i>FlightInfo</i> property.
   *
   * @return The Vector containing FlightInformation objects.
   */
   public Vector getFlightInfo();

  /**
   * Accessor (set) method for the <i>FlightInfo</i> property.
   * @param newValue A Vector representing the  FlightInformation.
   * @exception PropertyVetoException Indicates that a constrained property
   * listener has vetoed the change to the flightInfo property.
   */
   public void setFlightInfo(Vector newValue) throws PropertyVetoException;

  /**
   * Accessor (get) method for the <i>SQLString</i> property.
   * @return The String containing the SQL database query
   */
   public String getSQLString();

  /**
   * Accessor (set) method for the <i>SQLString</i> property.
   * @param SQLString The String representing the SQL property of the bean.
   * @exception PropertyVetoException Indicates that a constrained property
   * listener has vetoed the change to the SQLString property.
   */
   public void setSQLString(String SQLString) throws PropertyVetoException;
}

