//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 com/java/src/COM/ibm/beans/samples/travel/flight/FlightRequestedListener.java, bbDemo, bb97a
package com.ibm.beans.demos.travel.flight;

/**
 * <p>
 * This interface defines the FlightRequested method.
 * In the demo, this interface is implemented by the flight information
 * data access part bean and the itinerary bean.
 * @author K. David Johnson (kdjohn@us.ibm.com)
 * @see com.ibm.beans.demos.travel.flight.FlightRequestedEvent
*/
public interface FlightRequestedListener extends java.util.EventListener {
    /**
     * This method handles the flightRequested event.
     * In the demo, this method is invoked by the flight selector
     * bean on the itinerary bean and by the itinerary bean on
     * the flight information data access part bean.
     *
    * @param fRE The FlightRequestedEvent that contains flight
    *            reservation information.
    */
    public void FlightRequested ( FlightRequestedEvent fRE );
}
