//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbDemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.4 com/java/src/com/ibm/beans/demos/travel/flight/rules/CarrierRestrictionDipBeanInfo.java, bbTravelDemo, bb97c, bb97c9750e 9/25/97 14:10:33 [12/11/97 17:03:03]

package com.ibm.beans.demos.travel.flight.rules;

import java.beans.SimpleBeanInfo;
import java.beans.BeanDescriptor;

/**
 * The CarrierRestrictionDipBeanInfo class
 * defines the customizer to use for the CarrierRestrictionDip class.
 */
public class CarrierRestrictionDipBeanInfo extends SimpleBeanInfo {

  /**
   * Gets a BeanDescriptor with the CarrierRestrictionDipCustomizer as
   * the customizer class.
   *
   * @return A BeanDescriptor with an appropriate customizer defined.
   */
  public BeanDescriptor getBeanDescriptor() {
    return new BeanDescriptor(beanClass, customizerClass);
  }

  /**
   * Provides icon representations for the carrier restriction dip.
   *
   * @param iconKind The desired format for the icon image.
   * @return The image of the requested format.
   */
  public java.awt.Image getIcon(int iconKind) {
       return loadImage("CarrierRestriction.gif");
  }

  private final static Class beanClass = CarrierRestrictionDip.class;
  private final static Class customizerClass = CarrierRestrictionDipCustomizer.class;
  private final static String kBeanExtenderIBMCopyright = "(c) Copyright IBM Corporation 1997";
}

