/*
    PerformanceDip bean

    Package: com.ibm.beans.samples.dips.perform
    Bean   : PerformanceDip

    Author : John W. Alcorn
    Date   : November 14, 1997

    Copyright (c) IBM Corp, 1997
        - all rights reserved

    //====START_GENERATED_PROLOG======================================
    //
    //
    //   COMPONENT_NAME: bbDipWizard
    //
    //   CLASSES: none
    //
    //   ORIGINS: 27
    //
    //
    //   (C) COPYRIGHT International Business Machines Corp. 1997
    //   All Rights Reserved
    //   Licensed Materials - Property of IBM
    //   US Government Users Restricted Rights - Use, duplication or
    //   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
    //
    //   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
    //   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    //   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
    //   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
    //   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    //   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
    //   OR PERFORMANCE OF THIS SOFTWARE.
    //
    //====END_GENERATED_PROLOG========================================
    //
    // @(#) 1.2 com/java/src/com/ibm/beans/samples/dips/perform/PerformanceDipTextBundle.java, bbDipWizard, bb97c, bb97c9750e 11/21/97 15:41:48 [12/11/97 17:03:35]
*/

package com.ibm.beans.samples.dips.perform;

import java.util.ListResourceBundle;

public class PerformanceDipTextBundle extends ListResourceBundle
 {
    private final static Object[][] contents =
     {

        //Begin code added after generation by Dip Creation Wizard

        {"methodCall", "{0} milliseconds spent in {1}"},

        {"propertyChange", "{0} milliseconds spent setting {1}"},

        {"eventFire", "{0} milliseconds spent firing {1} event"}

	//End code added after generation by Dip Creation Wizard
     };

    public Object[][] getContents ()
     {
        return (contents);
     }
 }
