//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbContent
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.7 com/java/src/com/ibm/beans/samples/dips/sessauth/SACustomizerDialog.java, bbSecurityDip, bb97c, bb97c9750e 11/19/97 10:24:50 [12/11/97 17:01:58]
package com.ibm.beans.samples.dips.sessauth;

import java.awt.*;
import java.awt.event.*;

import java.beans.Customizer;

/**
    Reserved
*/

/*
    This class implements a modal dialog in which to display the customizer
    for a Principal and/or an Authenticator, if they exist.

    It presents a "Done" button that will dismiss this dialog.

    This class is only "public" so that the Bean Box Class Loader does not throw an
    IllegalAccessError when trying to load it.
*/
public class SACustomizerDialog extends Dialog implements ActionListener
{


    /**
        Reserved
    */
    public SACustomizerDialog(  Customizer customizer,
                                String title,
                                Frame frame,
                                Object target,
                                String doneButtonLabel ) {

        super( frame, title, true /* modal */ );

        this.customizer = customizer;
        this.target = target;
        this.doneButtonLabel = doneButtonLabel;

        setLayout( new BorderLayout() );

        doneButton.setLabel( doneButtonLabel );
        doneButton.addActionListener( this );
        add( "South", doneButton );

        customizer.setObject( target );
        add( "Center", (Panel) customizer );
        pack();
    }

    /**
        Reserved
    */
    public void actionPerformed( ActionEvent event ) {

        String actionCommand = event.getActionCommand();

        if ( actionCommand.equals( doneButtonLabel ) ) {
            SADip.println( "DONE button" );
        }
        else {
            SADip.errorMessage( "*** unknown action ***" );
        }

        setVisible( false );  // hide ourselves, unblocking the thread
        dispose();
    }

    private Customizer customizer;
    private Object target;
    private String doneButtonLabel;

    private Button doneButton = new Button();

    private final static String kBeanExtenderIBMCopyright="(c) Copyright IBM Corporation 1997";
}
