//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbContent
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.9 com/java/src/com/ibm/beans/samples/dips/sessauth/SAPrincipal.java, bbSecurityDip, bb97c, bb97c9750e 11/18/97 18:38:23 [12/11/97 17:01:52]
package com.ibm.beans.samples.dips.sessauth;

import java.io.Serializable;

/**
    This object describes the concept of a principal for the Session
    Authentication dip.

    A principal is an object that can be authenticated.  All principals must
    implement this interface.
    <p>
    This interface extends the interface Serializable.
    Therefore, classes implementing this interface should
    consider defining a serialVersionUID class variable such as:
    <br>
    <xmp>private static final long serialVersionUID = 2000L;</xmp>

    @see com.ibm.beans.samples.dips.sessauth.SAAuthenticator
    @see com.ibm.beans.samples.dips.sessauth.demo.SamplePrincipal
*/
public interface SAPrincipal extends Serializable
{
}
