//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.9 com/java/src/com/ibm/beans/samples/dips/sessauth/SAResourceBundle.java, bbMessages, bb97c, bb97c9750e 11/19/97 10:24:55 [12/11/97 16:56:13]
package com.ibm.beans.samples.dips.sessauth;

import java.util.ListResourceBundle;
/**
 * SAResourceBundle provides separation of the machine readable information
 * from the source.
 * the strings contained here will be translated when the product is made
 * available in other locales.
 */
public class SAResourceBundle extends ListResourceBundle
{
    /**
     * Provides access to the key-value pairs which
     * comprise the resource bundle.
     * @return Object[][]. The first element is a String representing the
     *         key and the second is any object representing the value.
     */
    public Object[][] getContents() {
        return contents;
    }

    private static final Object[][] contents = {

        { "SA_FINAL_METHODS", "Unable to apply Session Authentication dip.  Dippable bean contains 'final' methods"},
        { "SA_VETO_NOT_AUTHENTICATED", "Authentication has not completed successfully.  Request is vetoed"},
        { "SA_PRINCIPAL_CLASS", "Principal class {0} not found" },
        { "SA_MAX_RETRY", "Maximum number of authentication attempts exceeded" },
        { "SA_APPLY", "Apply" },
        { "SA_CANCEL", "Cancel" },
        { "SA_PRINCIPAL_LABEL", "Principal class name:" },
        { "SA_PRINCIPAL_QUERY_LABEL", "Principal Query class name:" },
        { "SA_AUTHENTICATOR_LABEL", "Authenticator class name:" },
        { "SA_INVALID_PRINCIPAL_ENTRY", "The value entered for the Principal class name is not a valid class" },
        { "SA_INVALID_PRINCIPAL_QUERY_ENTRY", "The value entered for the Principal Query class name is not a valid class" },
        { "SA_INVALID_AUTHENTICATOR_ENTRY", "The value entered for the Authenticator class name is not a valid class" },
        { "SA_INTROSPECTION_EXCEPTION", "Introspection Exception on specified class" },
        { "SA_INSTANTIATION_EXCEPTION", "Unable to create specified class" },
        { "SA_CUSTOMIZER_DIALOG", "Session Authentication Principal Customization" },
        { "SA_DONE_LABEL", "Done" }
    };

    private final static String kBeanExtenderIBMCopyright="(c) Copyright IBM Corporation 1997";
}
