//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.9 com/java/src/com/ibm/beans/samples/dips/sessauth/demo/SampleResourceBundle.java, bbMessages, bb97c, bb97c9750e 9/25/97 11:31:33 [12/11/97 16:55:59]
package com.ibm.beans.samples.dips.sessauth.demo;

import java.util.ListResourceBundle;

/**
 * SampleResourceBundle provides separation of the MRI from the source.
 * the strings contained here will be translated when the product is made
 * available in other locales.
 */
public class SampleResourceBundle extends ListResourceBundle
{
    /**
     * Provides access to the key-value pairs which
     * comprise the resource bundle.
     * @return Object[][]. The first element is a String representing the
     *         key and the second is any object representing the value.
     */
    public Object[][] getContents() {
        return contents;
    }


    private static final Object[][] contents = {

        { "SM_MAX_RETRY", "Maximum number of authentication attempts exceeded" },
        { "SM_UID_LABEL", "User ID" },
        { "SM_PW_LABEL", "Password" },
        { "SM_OLD_UID_LABEL", "Current User ID" },
        { "SM_OLD_PW_LABEL", "Current Password" },
        { "SM_OK_BUTTON", "OK" },
        { "SM_DIALOG_TITLE", "Session Authentication Dip" },
        { "SM_PLEASE_ENTER", "Please enter your User ID and Password" },
        { "SM_CANCEL_BUTTON", "Cancel" },
        { "SM_CUSTOMIZE_AUTH_1", "Please Enter UserID and Password."},
        { "SM_CUSTOMIZE_AUTH_2", "These values will be verfied when the deployed bean is activated."},
        { "SM_CUSTOMIZE_AUTH_3", "Note that case is significant."},
        { "SM_INVALID_PW", "Invalid User ID or Password entered" }

    };
}
