//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbScripting
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.7 com/java/src/com/ibm/beans/samples/script/beans/table/TableModelEvent.java, bbScripting, bb97c, bb97c9750e 11/18/97 11:47:36 [12/11/97 16:54:50]
package com.ibm.beans.samples.script.beans.table;

import java.util.EventObject;
import com.ibm.beans.samples.script.beans.table.TableModel;
import com.ibm.beans.samples.script.beans.table.TableCell;
import com.ibm.beans.samples.script.beans.table.CellIndex;
import com.ibm.beans.samples.script.beans.table.TableModelListener;
import java.io.Serializable;

public class TableModelEvent extends EventObject implements Serializable
{
   private static final String kBeanExtenderIBMCopyright=
                 "(c) Copyright IBM Corporation 1997";
   private static final long serialVersionUID = 2000L;
public TableModelEvent(TableModel newModel, TableCell newCell, CellIndex newI)
  {
	super(newModel);
	cell = newCell;
	i = newI;
  }


public TableModel getTableModel()
  {
	return (TableModel) getSource();
  }

public CellIndex getCellIndex()
  {
	return i;
  }

public TableCell getCell()
  {
	return cell;
  }


private TableCell cell;
private CellIndex i;

}
