//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbScripting
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//   	
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.13 com/java/src/com/ibm/beans/samples/script/form/FormBuilder.java, bbScripting, bb97c, bb97c9750e 9/30/97 15:37:52 [12/11/97 16:55:07]

package com.ibm.beans.samples.script.form;

import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.io.*;
import java.util.*;

import com.ibm.beans.samples.script.form.Session;


public class FormBuilder extends Frame implements WindowListener{
   private static final String kBeanExtenderIBMCopyright=
                 "(c) Copyright IBM Corporation 1997";
    private Session fSession = null;

    public FormBuilder (String label, String fileName, String jarDirName) {
        super (label);
        setLocation (150, 20);

        fSession = new Session (this, fileName, jarDirName);
        addWindowListener(this);
    }
     public void windowOpened(WindowEvent event)
     {
     }
     public void windowClosed(WindowEvent event)
     {
     }


     public void windowActivated(WindowEvent event)
     {
     }

     public void windowDeactivated(WindowEvent event)
     {
     }

     public void windowClosing(WindowEvent event)
     {
        fSession.terminate();
        System.exit(0);
     }

     public void windowDeiconified(WindowEvent event)
     {
     }


     public void windowIconified(WindowEvent event)
     {
     }



  /*
    public boolean handleEvent (Event evt) {

        if (evt.id == Event.WINDOW_DESTROY) {
            System.exit(0);
        }

        if (evt.id == Event.ACTION_EVENT && evt.target instanceof MenuItem)
            return fSession.doMenuItem(evt);
      
        return false;
    }
    */
    public static void main (String [] argv) {

        String fileName = null;
        String jarDirName = null;

        if (argv.length > 0) {

            if (argv[0].startsWith("-d"))
                jarDirName = argv[0].substring(2);
            else
                fileName = argv[0];

            if (argv.length > 1) { 

                if (argv[1].startsWith("-d"))
                    jarDirName = argv[1].substring(2);
                else
                    fileName = argv[1];
            }

        }

        FormBuilder ff = new FormBuilder("Design Form..", fileName, jarDirName);
        ff.setSize (400,400);
        ff.show();
    }

}

























