//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: bbMessages
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.17 com/java/src/com/ibm/beans/tools/debugger/DebuggerResourceBundle.java, bbMessages, bb97c, bb97c9750e 11/18/97 17:00:36 [12/11/97 16:56:09]
//


package com.ibm.beans.tools.debugger;

import com.ibm.beans.tools.debugger.BeanFWListResourceBundle;

public class DebuggerResourceBundle extends BeanFWListResourceBundle
{
    private final static String kBeanExtenderIBMCopyright =
                               "(c) Copyright IBM Corporation 1997";

static final long VERSION_UID = 1100L;
private static DebuggerResourceBundle res = null;
private static final String pkgID = "Debugger";
private static final String msgTag = pkgID + "00";

public final static DebuggerResourceBundle getRes()
  {
      if(res == null)
         res = (DebuggerResourceBundle)create(
                "com.ibm.beans.tools.debugger.DebuggerResourceBundle");
      return(res);
  }

public final static String CLASS_NAME_LABEL = "CLASS_NAME_LABEL";
public final static String BP_SET_LINE_ERROR = "BP_SET_LINE_ERROR";
public final static String STEP_INTO_ERROR = "STEP_INTO_ERROR";
public final static String STEP_OVER_ERROR = "STEP_OVER_ERROR";
public final static String CONTINUE_ERROR = "CONTINUE_ERROR";
public final static String NO_THREAD_ERROR = "NO_THREAD_ERROR";
public final static String NO_SUSPEND_ERROR = "NO_SUSPEND_ERROR";
public final static String INVALID_ID_ERROR = "INVALID_ID_ERROR";
public final static String NOT_IN_SCOPE_ERROR = "NOT_IN_SCOPE_ERROR";
public final static String ARRAY_MSG = "ARRAY_MSG";
public final static String ARRAY_ALL_MSG = "ARRAY_ALL_MSG";
public final static String CLASS_EQUAL_MSG = "CLASS_EQUAL_MSG";
public final static String ATTRIBUTE_MSG = "ATTRIBUTE_MSG";
public final static String CONSOLE_READY_MSG = "CONSOLE_READY_MSG";
public final static String NO_DEF_THREAD_MSG = "NO_DEF_THREAD_MSG";
public final static String METHOD_ARGUMENT_MSG = "METHOD_ARGUMENT_MSG";
public final static String LOCAL_VARIABLE_MSG = "LOCAL_VARIABLE_MSG";
public final static String NO_ARGUMENT_MSG = "NO_ARGUMENT_MSG";
public final static String NO_LOCAL_VAR_MSG = "NO_LOCAL_VAR_MSG";
public final static String LOAD_CLASS_ERROR = "LOAD_CLASS_ERROR";
public final static String NO_MAIN_ERROR = "NO_MAIN_ERROR";
public final static String NOT_RUN_ERROR = "NOT_RUN_ERROR";
public final static String NULL_THREAD_ERROR = "NULL_THREAD_ERROR";
public final static String NULL_FRAME_ERROR = "NULL_FRAME_ERROR";
public final static String NULL_CLASS_ERROR = "NULL_CLASS_ERROR";
public final static String NO_SOURCE_ERROR = "NO_SOURCE_ERROR";
public final static String LOAD_SOURCE_LABEL = "LOAD_SOURCE_LABEL";
public final static String NEW_SOURCE_LABEL = "NEW_SOURCE_LABEL";
public final static String OK_LABEL = "OK_LABEL";
public final static String CANCEL_LABEL = "CANCEL_LABEL";
public final static String CLASS_LABEL = "CLASS_LABEL";
public final static String ARG_LABEL = "ARG_LABEL";
public final static String THREAD_LABEL = "THREAD_LABEL";
public final static String SUSPEND_LABEL = "SUSPEND_LABEL";
public final static String RESUME_LABEL = "RESUME_LABEL";
public final static String STOP_LABEL = "STOP_LABEL";
public final static String SWITCH_TO_LABEL = "SWITCH_TO_LABEL";


public final static String JH_GIF     = "JH_GIF";
public final static String CLEAR_GIF = "CLEAR_GIF";
public final static String CLEAR_CMD = "CLEAR_CMD";
public final static String CLEAR_TIP = "CLEAR_TIP";
public final static String SAVE_CONSOLE_GIF = "SAVE_CONSOLE_GIF";
public final static String SAVE_CONSOLE_CMD = "SAVE_CONSOLE_CMD";
public final static String SAVE_CONSOLE_TIP = "SAVE_CONSOLE_TIP";
public final static String SPLITH_GIF = "SPLITH_GIF";
public final static String SPLITH_CMD = "SPLITH_CMD";
public final static String SPLITH_TIP = "SPLITH_TIP";
public final static String SPLITV_GIF = "SPLITV_GIF";
public final static String SPLITV_CMD = "SPLITV_CMD";
public final static String SPLITV_TIP = "SPLITV_TIP";
public final static String CONSOLE_GIF = "CONSOLE_GIF";
public final static String CONSOLE_CMD = "CONSOLE_CMD";
public final static String CONSOLE_TIP = "CONSOLE_TIP";
public final static String SOURCE_GIF = "SOURCE_GIF";
public final static String SOURCE_CMD = "SOURCE_CMD";
public final static String SOURCE_TIP = "SOURCE_TIP";
public final static String VARIABLE_GIF = "VARIABLE_GIF";
public final static String VARIABLE_CMD = "VARIABLE_CMD";
public final static String VARIABLE_TIP = "VARIABLE_TIP";
public final static String STACK_GIF = "STACK_GIF";
public final static String STACK_CMD = "STACK_CMD";
public final static String STACK_TIP = "STACK_TIP";
public final static String THREAD_GIF = "THREAD_GIF";
public final static String THREAD_CMD = "THREAD_CMD";
public final static String THREAD_TIP = "THREAD_TIP";
public final static String DEBUG_GIF = "DEBUG_GIF";
public final static String DEBUG_CMD = "DEBUG_CMD";
public final static String DEBUG_TIP = "DEBUG_TIP";
public final static String STEP_GIF = "STEP_GIF";
public final static String STEP_CMD = "STEP_CMD";
public final static String STEP_TIP = "STEP_TIP";
public final static String NEXT_GIF = "NEXT_GIF";
public final static String NEXT_CMD = "NEXT_CMD";
public final static String NEXT_TIP = "NEXT_TIP";
public final static String CONTINUE_GIF = "CONTINUE_GIF";
public final static String CONTINUE_CMD = "CONTINUE_CMD";
public final static String CONTINUE_TIP = "CONTINUE_TIP";

    /*
      The following lines convert variables into strings
      for the message parse tool. The strings don't have to
      correspond to the Java strings (After running m4 this
      section will be blank). - OF

define(`CLASS_NAME_LABEL',`"m1"')
define(`BP_SET_LINE_ERROR',`"m2"')
define(`STEP_INTO_ERROR',`"m3"')
define(`STEP_OVER_ERROR',`"m4"')
define(`CONTINUE_ERROR',`"m5"')
define(`NO_THREAD_ERROR',`"m6"')
define(`NO_SUSPEND_ERROR',`"m7"')
define(`INVALID_ID_ERROR',`"m8"')
define(`NOT_IN_SCOPE_ERROR',`"m9"')
define(`ARRAY_MSG',`"m10"')
define(`ARRAY_ALL_MSG',`"m11"')
define(`CLASS_EQUAL_MSG',`"m12"')
define(`ATTRIBUTE_MSG',`"m13"')
define(`CONSOLE_READY_MSG',`"m14"')
define(`NO_DEF_THREAD_MSG',`"m15"')
define(`METHOD_ARGUMENT_MSG',`"m16"')
define(`LOCAL_VARIABLE_MSG',`"m17"')
define(`NO_ARGUMENT_MSG',`"m18"')
define(`NO_LOCAL_VAR_MSG',`"m19"')
define(`LOAD_CLASS_ERROR',`"m20"')
define(`NO_MAIN_ERROR',`"m21"')
define(`NOT_RUN_ERROR',`"m22"')
define(`NULL_THREAD_ERROR',`"m23"')
define(`NULL_FRAME_ERROR',`"m24"')
define(`NULL_CLASS_ERROR',`"m25"')
define(`NO_SOURCE_ERROR',`"m26"')
define(`LOAD_SOURCE_LABEL',`"m27"')
define(`NEW_SOURCE_LABEL',`"m28"')
define(`OK_LABEL',`"m29"')
define(`CANCEL_LABEL',`"m30"')
define(`CLASS_LABEL',`"m31"')
define(`ARG_LABEL',`"m32"')
define(`THREAD_LABEL',`"m33"')
define(`SUSPEND_LABEL',`"m34"')
define(`RESUME_LABEL',`"m35"')
define(`STOP_LABEL',`"m36"')
define(`SWITCH_TO_LABEL',`"m37"')
define(`JH_GIF',`"m40"')
define(`CLEAR_GIF',`"m41"')
define(`CLEAR_CMD',`"m42"')
define(`CLEAR_TIP',`"m43"')
define(`SAVE_CONSOLE_GIF',`"m44"')
define(`SAVE_CONSOLE_CMD',`"m45"')
define(`SAVE_CONSOLE_TIP',`"m46"')
define(`SPLITH_GIF',`"m47"')
define(`SPLITH_CMD',`"m48"')
define(`SPLITH_TIP',`"m49"')
define(`SPLITV_GIF',`"m50"')
define(`SPLITV_CMD',`"m51"')
define(`SPLITV_TIP',`"m52"')
define(`CONSOLE_GIF',`"m53"')
define(`CONSOLE_CMD',`"m54"')
define(`CONSOLE_TIP',`"m55"')
define(`SOURCE_GIF',`"m56"')
define(`SOURCE_CMD',`"m57"')
define(`SOURCE_TIP',`"m58"')
define(`VARIABLE_GIF',`"m59"')
define(`VARIABLE_CMD',`"m60"')
define(`VARIABLE_TIP',`"m61"')
define(`STACK_GIF',`"m62"')
define(`STACK_CMD',`"m63"')
define(`STACK_TIP',`"m64"')
define(`THREAD_GIF',`"m65"')
define(`THREAD_CMD',`"m66"')
define(`THREAD_TIP',`"m67"')
define(`DEBUG_GIF',`"m68"')
define(`DEBUG_CMD',`"m69"')
define(`DEBUG_TIP',`"m70"')
define(`STEP_GIF',`"m71"')
define(`STEP_CMD',`"m72"')
define(`STEP_TIP',`"m73"')
define(`NEXT_GIF',`"m74"')
define(`NEXT_CMD',`"m75"')
define(`NEXT_TIP',`"m76"')
define(`CONTINUE_GIF',`"m77"')
define(`CONTINUE_CMD',`"m78"')
define(`CONTINUE_TIP',`"m79"')


     */


    public Object[][] getContents() {
        return contents;
    }

    private static final Object[][] contents = {

    // LOCALIZE THIS
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Dialog box label for enter class name
        * <p class='Message Action'>
        * (None.)
        */
        {CLASS_NAME_LABEL, "Enter fully qualified class name:"},

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The breakpoint cannot be set at a particular line.
        * <p class='Message Action'>
        * Set the breakpoint on another line. Try the operation again.
        */
        {BP_SET_LINE_ERROR, msgTag + "00E: Cannot set breakpoint at line {0}"},

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger cannot step into a method.
        * <p class='Message Action'>
        * The end of the program has been reached or there is a remote debugger
        * internal error. If it is an internal error, follow the instructions
        * in the README file to report the problem to IBM.
        */
        {STEP_INTO_ERROR, msgTag + "01E: Cannot step into method"},


        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger cannot step over a line.
        * <p class='Message Action'>
        * The end of the program has been reached or there is a remote debugger
        * internal error. If it is an internal error, follow the instructions
        * in the README file to report the problem to IBM.
        */
        {STEP_OVER_ERROR, msgTag + "02E: Cannot step over a line"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger could not continue. The program may not be in a
        * stop mode.
        * <p class='Message Action'>
        * The end of the program has been reached or the
        * program is not in a stop mode.
        */
        {CONTINUE_ERROR, msgTag + "03E: Continue failed. The program may not be in a stop mode"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * A named class could not be loaded.
        * <p class='Message Action'>
        * Be sure that specified class is on the CLASSPATH. Try the operation
        * again.
        */
        {LOAD_CLASS_ERROR, msgTag + "04E: Could not load class named {0} "},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * There is no main method in the debugged class.
        * <p class='Message Action'>
        * Add the main method to the class or start the debugger again
        * with another class.
        */
        {NO_MAIN_ERROR, msgTag + "05E: There is no main method in class {0}"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugged class cannot be run.
        * <p class='Message Action'>
        * This is a remote debugger internal error. Follow the instructions
        * in the README file to report the problem to IBM.
        */
        {NOT_RUN_ERROR, msgTag + "06E: Cannot run the debugged class {0}"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The remote thread is null.
        * <p class='Message Action'>
        * This is a debugger internal error. Follow the instructions
        * in the README file to report the problem to IBM.
        */
        {NULL_THREAD_ERROR, msgTag + "07E: The remote thread is null."},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The remote frame is null.
        * <p class='Message Action'>
        * This is a debugger internal error. Follow the instructions
        * in the README file to report the problem to IBM.
        */
        {NULL_FRAME_ERROR, msgTag + "08E: The remote frame is null."},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The remote class is null.
        * <p class='Message Action'>
        * This is a debugger internal error. Follow the instructions
        * in the README file to report the problem to IBM.
        */
        {NULL_CLASS_ERROR, msgTag + "09E: The remote class is null."},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger cannot find the source file for a class.
        * <p class='Message Action'>
        * Make sure the source file is available and try the operation again.
        */
        {NO_SOURCE_ERROR, msgTag + "10E: Debugger cannot find source file for class {0}"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for load source dialog box
        * <p class='Message Action'>
        * (None.)
        */
        {LOAD_SOURCE_LABEL, "Load Source"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for new source dialog box
        * <p class='Message Action'>
        * (None.)
        */
        {NEW_SOURCE_LABEL, "New Source"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for OK button
        * <p class='Message Action'>
        * (None.)
        */
        {OK_LABEL, "OK"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for Cancel button
        * <p class='Message Action'>
        * (None.)
        */
        {CANCEL_LABEL, "Cancel"},

       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for class field.
        * <p class='Message Action'>
        * (None.)
        */
        {CLASS_LABEL, "Class:"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for Arg field.
        * <p class='Message Action'>
        * (None.)
        */
        {ARG_LABEL, "Args:"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for thread menu
        * <p class='Message Action'>
        * (None.)
        */
        {THREAD_LABEL, "Thread"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for suspend menu
        * <p class='Message Action'>
        * (None.)
        */
        {SUSPEND_LABEL, "Suspend"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for resume menu
        * <p class='Message Action'>
        * (None.)
        */
        {RESUME_LABEL, "Resume"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for stop menu
        * <p class='Message Action'>
        * (None.)
        */
        {STOP_LABEL, "Stop"},


       /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * label for  switch to menu
        * <p class='Message Action'>
        * (None.)
        */
        {SWITCH_TO_LABEL, "Switch To"},


        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Lower left corner GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { JH_GIF, "jh.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Split Vertical Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { SPLITV_GIF, "splitv.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Split Horizontal Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { SPLITH_GIF, "splith.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Console Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { CONSOLE_GIF, "console.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Source Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { SOURCE_GIF, "source.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Variables Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { VARIABLE_GIF, "var.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Stack Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { STACK_GIF, "stack.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Threads Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { THREAD_GIF, "threads.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Debug Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { DEBUG_GIF, "bug.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Step Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { STEP_GIF, "step.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Next Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { NEXT_GIF, "next.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Continue Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { CONTINUE_GIF, "cont.gif" },
        /**
        * <!-- Message Owner: Robert Goodman  -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Clear Console Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { CLEAR_GIF, "trash.gif" },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Save Console Button GIF.
        * <p class='Message Action'>
        * (None.)
        */
        { SAVE_CONSOLE_GIF, "write.gif" },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Split Pane Vertically Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { SPLITV_TIP, "Split Pane Vertically." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Split Pane Horizontally Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { SPLITH_TIP, "Split Pane Horizontally." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Console Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { CONSOLE_TIP, "Show debugger console." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Source Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { SOURCE_TIP, "Show source." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Variables Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { VARIABLE_TIP, "Show variables." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Stack Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { STACK_TIP, "Show Stack." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Threads Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { THREAD_TIP, "Show Threads." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Debug Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { DEBUG_TIP, "Start Debugging." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Step Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { STEP_TIP, "Step current thread." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Next Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { NEXT_TIP, "Next in thread." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Continue Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { CONTINUE_TIP, "Continue suspended threads." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Clear Console Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { CLEAR_TIP, "Clear Console." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  Save Console Message. Shown when cursor on button.
        * <p class='Message Action'>
        * (None.)
        */
        { SAVE_CONSOLE_TIP, "Save console output to a file." },
        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        *  First message displayed in the Console is started.
        * <p class='Message Action'>
        * (None.)
        */
        { CONSOLE_READY_MSG, "Console ready..." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * There is no thread that can be run.
        * <p class='Message Action'>
        * Start the debugged program first.
        */
        { NO_THREAD_ERROR, msgTag + "11E: No Thread" },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The program cannot resume because there is no thread that
        * is currently suspended.
        * <p class='Message Action'>
        * A running thread must be suspended before the program can resume.
        */
        { NO_SUSPEND_ERROR, msgTag + "12E: Nothing suspended" },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger may not be able to continue because a default thread
        * has not been specified.
        * <p class='Message Action'>
        * Start the debugged program first.
        */
        { NO_DEF_THREAD_MSG, msgTag + "13E: No default thread specified." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Heading for Method Arguments in the Variable Panel.
        * <p class='Message Action'>
        * (None.)
        */
        { METHOD_ARGUMENT_MSG, "Method Arguments." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Heading for Local Variables in the Variable Panel.
        * <p class='Message Action'>
        * (None.)
        */
        { LOCAL_VARIABLE_MSG, "Local Variables." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The .java file has not been compiled with the -g option.
        * <p class='Message Action'>
        * Recompile the .java file with the -g option.
        */
        { NO_ARGUMENT_MSG, msgTag + "14E: Cannot find method arguments. Compile with -g option" },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The .java file has not been compiled with the -g option.
        * <p class='Message Action'>
        * Recompile the .java file with the -g option.
        */
        { NO_LOCAL_VAR_MSG, msgTag + "15E: Cannot find local variables. Compile with -g option" },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <p class='Message Detail'>
        * The debugger may not be able to continue.
        * <p class='Message Action'>
        * Debugger internal error
        */
        { INVALID_ID_ERROR, msgTag + "16E: {0} is not a valid ID or class name\n." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Variable is not in scope. Used in the Variable Panel.
        * <p class='Message Action'>
        * Select another variable.
        */
        { NOT_IN_SCOPE_ERROR, "{0} is not in scope." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Class heading in the Variable Display.
        * <p class='Message Action'>
        * (None.)
        */
        { CLASS_EQUAL_MSG, "Class = {0}." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Attribute Heading in the Attribute Display.
        * <p class='Message Action'>
        * (None.)
        */
        { ATTRIBUTE_MSG, "Attributes = {0}." },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Type of element message in Variable Display.
        * <p class='Message Action'>
        * (None.)
        */
        { ARRAY_MSG, "array" },

        /**
        * <!-- Message Owner: Robert Goodman -->
        * <!-- Skip next message -->
        * <p class='Message Detail'>
        * Type of element message in Variable Display.
        * <p class='Message Action'>
        * (None.)
        */
        { ARRAY_ALL_MSG, "Array of {0}  elements of type {1}." }
    // END OF MATERIAL TO LOCALIZE
    };
}
